# eslint-config-angular-ts

This package provides Infinum's ESLint Angular TypeScript [shareable config](https://eslint.org/docs/developer-guide/shareable-configs.html).

## Usage

### npm >= 7

1. In root of your project: `ng add @angular-eslint/schematics`
2. In root of your project: `npm install --save-dev eslint-plugin-rxjs @infinumjs/eslint-config-angular-ts`
3. Open your project's ESLint config file generated by `@angular-eslint/schematics`
4. Modify your `*.ts` files settings like so:

```
"extends": [
  "plugin:@angular-eslint/recommended",
  "plugin:@angular-eslint/template/process-inline-templates",
  "@infinumjs/eslint-config-angular-ts"
],
```

### npm < 7

ESlint doesn't support plugins as dependencies, but they can be described in `peerDependencies`. Peer dependencies don't get installed automatically pre `npm v7`, users must install them themselves. For more info see [issue](https://github.com/eslint/eslint/issues/3458);

1. In root of your project: `ng add @angular-eslint/schematics`
2. In root of your project: `npm install --save-dev @infinumjs/eslint-config-angular-ts @infinumjs/eslint-config-core-ts eslint-plugin-rxjs`
3. Open your project's ESLint config file generated by `@angular-eslint/schematics`
4. Modify your `*.ts` files settings like so:

```
"extends": [
  "plugin:@angular-eslint/recommended",
  "plugin:@angular-eslint/template/process-inline-templates",
  "@infinumjs/eslint-config-angular-ts"
],
```

## License

The [MIT License](../LICENSE)

## Credits

@infinumjs/eslint-config-angular-ts is maintained and sponsored by
[Infinum](https://www.infinum.com).

<img src="https://infinum.com/infinum.png" width="264">
